<?php
/*
The script for conversion of the older-extension miniBB avatars (.mbb) to the original picture extensions.
This file is provided for free, but with no warranty. Run at your own risk and knowledge!
Copyright (C) 2013 Paul Puzyrev. www.minibb.com
Latest File Update: 2013-Mar-20
*/

$testMode=FALSE;
//set to TRUE if you just would like to look up what will happen; no DB updates or file deletions/renamings will work in this mode

define ('INCLUDED776',1);
include('./setup_options.php');
include ($pathToFiles.'setup_'.$DB.'.php');
include($pathToFiles.'addon_avatar_options.php');

$converted=0;
$removed=0;

if($row=db_simpleSelect(0, $Tu, "{$dbUserId}, {$avatarDbField}", $avatarDbField, '!=', '')){
do{
if($row[1]=='*' and file_exists("{$avatarDir}/{$row[0]}.mbb") ) {

if(function_exists('getimagesize')) {
$size=getimagesize("{$avatarDir}/{$row[0]}.mbb");
$iWidth=(int)$size[0]; $iHeight=(int)$size[1]; $iType=$size['mime'];
$gotSize=TRUE;
}
else $gotSize=FALSE;

$extension='';
foreach($avatarAvailableTypes as $mime=>$ext) {
if($iType==$mime) { $extension=$ext; break; }
}

if($gotSize and $extension!=''){
echo "Converted: User ID = {$row[0]} - {$row[1]} [{$iType}] - `{$avatarDir}/{$row[0]}.mbb` to `{$avatarDir}/{$row[0]}.{$extension}`<br />";
if(!$testMode){
copy("{$avatarDir}/{$row[0]}.mbb", "{$avatarDir}/{$row[0]}.{$extension}");
unlink("{$avatarDir}/{$row[0]}.mbb");
}
$$avatarDbField=$extension;
$converted++;
}
else{
echo "Removed: User ID = {$row[0]} - {$row[1]} [{$iType}] - {$avatarDir}/{$row[0]}.mbb<br />";
if(!$testMode) unlink("{$avatarDir}/{$row[0]}.mbb");
$$avatarDbField='';
$removed++;
}

if(!$testMode) updateArray(array($avatarDbField),$Tu,$dbUserId,$row[0]);

}
}
while($row=db_simpleSelect(1));
}

echo "<br />Converted: {$converted} Removed: {$removed}";

?>